summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-10-22 20:33:08 +0000
committerZac Medico <zmedico@gentoo.org>2007-10-22 20:33:08 +0000
commit3059b58c4afa8fc05b59b562c390c40b50437e4e (patch)
tree2dff674795d60b1050f94ef4d2d30afb7f0f4e66 /bin/ebuild.sh
parent6d93dae2fc542f5a9af3873f01745d705323b44f (diff)
downloadportage-3059b58c4afa8fc05b59b562c390c40b50437e4e.tar.gz
portage-3059b58c4afa8fc05b59b562c390c40b50437e4e.tar.bz2
portage-3059b58c4afa8fc05b59b562c390c40b50437e4e.zip
Remove slashes that cause problems when unpacking files with
relative paths (bug #196565) (trunk r8200) svn path=/main/branches/2.1.2/; revision=8231
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 4e98b6474..c434c9ba2 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -481,20 +481,20 @@ unpack() {
;;
7Z|7z)
local my_output
- my_output="$(7z x -y "${srcdir}/${x}")"
+ my_output="$(7z x -y "${srcdir}${x}")"
if [ $? -ne 0 ]; then
echo "${my_output}" >&2
die "$myfail"
fi
;;
RAR|rar)
- unrar x -idq -o+ "${srcdir}/${x}" || die "$myfail"
+ unrar x -idq -o+ "${srcdir}${x}" || die "$myfail"
;;
LHa|LHA|lha|lzh)
- lha xfq "${srcdir}/${x}" || die "$myfail"
+ lha xfq "${srcdir}${x}" || die "$myfail"
;;
a|deb)
- ar x "${srcdir}/${x}" || die "$myfail"
+ ar x "${srcdir}${x}" || die "$myfail"
;;
lzma)
if [ "${y}" == "tar" ]; then